# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   ${PROJECT_NAME}
# FileName:      ${FILE_NAME}
# Author:        shen
# Datetime:     ${DATE} ${TIME}
# Description:
#
# ---------------------------------------------------------------------------
import functools
import logging
import os.path
import time

log_path = os.path.join(os.path.join(os.path.join(os.path.dirname(__file__),"report"),"log"),time.strftime("%Y_%m_%d_%H_%M_%S",time.localtime())+".log")

def project_log(log_file):
    #创建logger对象
    logger = logging.getLogger()
    #设置日志的级别
    logger.setLevel("INFO")
    #创建日志文件的handler
    handler = logging.FileHandler(log_file,mode="a",encoding="utf-8")
    #设置日志显示的格式
    formatter = logging.Formatter("%(asctime)s - %(levelname)s: %(message)s")
    #给日志文件添加日志的格式
    handler.setFormatter(formatter)
    #给logger对象添加handler
    logger.addHandler(handler)
    return logger


project_log = project_log(log_path)

def log_decorator(func_name):
    @functools.wraps(func_name)
    def inner(*args, **kwargs):
        try:
            project_log.info(f"执行的功能为：{func_name.__name__}, 功能的描述为：{func_name.__doc__}, 所在的文件路径为：{func_name.__code__.co_filename}, 所做的行为：{func_name.__code__.co_firstlineno}")
            res = func_name(*args, **kwargs)
        except Exception as e:
            project_log.error(f"执行的功能为：{func_name.__name__}, 功能的描述为：{func_name.__doc__}, 所在的文件路径为：{func_name.__code__.co_filename}, 所做的行为：{func_name.__code__.co_firstlineno}, 产生错误，错误的类型为：{type(e)}, 错误的描述为：{e}")
            raise e
        else:
            return res
    return inner













